#!/bin/bash
event=$1
code=$3
getXuser() {
	user=`finger| grep -m1 ":$displaynum " | awk '{print $1}'`
	if [ x"$user" = x"" ]; then
		user=`finger| grep -m1 ":$displaynum" | awk '{print $1}'`
	fi
	if [ x"$user" != x"" ]; then
		userhome=`getent passwd $user | cut -d: -f6`
		export XAUTHORITY=$userhome/.Xauthority
	else
		export XAUTHORITY=""
	fi
}
process(){
echo Running eeepc event $event $code
case $code in
	00000030)
	echo "LCD Key!";
	for x in /tmp/.X11-unix/*; do
		displaynum=`echo $x | sed s#/tmp/.X11-unix/X##`
		getXuser;
		if [ x"$XAUTHORITY" != x"" ]; then
			export DISPLAY=":$displaynum"
			su $user -c "/etc/acpi/changelcd.sh"
		fi
	done
	;;	
	00000011)
	echo "WiFi Key!off";
	wlancontrol=/proc/acpi/asus/wlan
	echo 'wlan off.turning off'
	echo 0 >$wlancontrol
	;;
	00000010)
	wlancontrol=/proc/acpi/asus/wlan
	echo "wlan off. turning on"
	echo 1 >$wlancontrol
	ip l s up ath0
	;;
	*12)
	for x in /tmp/.X11-unix/*; do
		displaynum=`echo $x | sed s#/tmp/.X11-unix/X##`
		getXuser;
		if [ x"$XAUTHORITY" != x"" ]; then
			export DISPLAY=":$displaynum"
			su $user -l -c "dcop kicker kicker showKMenu"
		fi
	done
	;;
	*13)
	echo "toggle sound"
	amixer set Master toggle
	;;
	*14)
	echo "Lower sound"
	amixer set Master 5dB-
	;;
	*15)
	echo "Upper sound"
	amixer set Master 5dB+
	;;
	*)
	echo "Unknow key code=$code";
	;;
esac
}
process 2>&1 |logger -t eeepc-hotkey
exit 0;
