#!/bin/bash
xf=`mktemp`
xrandr >$xf
VGA=`cat $xf|grep ^VGA|awk '{ print $2}'`
LVDS=`cat $xf |grep ^LVDS|awk '{ print $2}'`
echo VGA=$VGA LVDS=$LVDS

if [ $VGA = 'disconnected' ] && [  $LVDS = 'connected' ]
then
	echo Only loclal display. Reset it.
	xrandr --output LVDS --auto
	xrandr --output VGA --auto
	rm -f $xf
	exit 0
fi

if [ $VGA = 'connected' ] && [  $LVDS = 'disconnected' ]
then
	echo "Shit happens! $xf"
	exit 1
fi


if [ $VGA = 'connected' ] && [  $LVDS = 'connected' ]
then
	echo "Both display connected. Try to witch betwen its"
	if [ `cat $xf|grep '*+'|wc -l` -ge 2 ]
	then
		echo "Both display has image. Switch to VGA";
		xrandr --output LVDS --off
		xrandr --output VGA --auto
		rm -f $xf
		exit 0
	fi
	if [ `cat $xf|grep '*+'|wc -l` = 0 ]
	then
		echo "Non of display has image. Switch to VGA";
		xrandr --output LVDS --off
		xrandr --output VGA --auto
		rm -f $xf;
		exit 0
	fi
	displays=`cat $xf|grep -B 1000 '*+'|grep connected |tail -n 1|awk '{print $1}'`
	notdisplays=`cat $xf|grep -B 1000 ' +'|grep connected |tail -n 1|awk '{print $1}'`
	echo $displays displays $notdisplays notdisplays. Try to switch it.
	xrandr --output $displays --off
	xrandr --output $notdisplays --auto
	rm -f $xf
	exit 0

fi

